#include "ajouter_chariot.h"
#include "ui_ajouter_chariot.h"
#include"chariot.h"
#include"smtp.h"
ajouter_chariot::ajouter_chariot(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::ajouter_chariot)
{
    ui->setupUi(this);
}

ajouter_chariot::~ajouter_chariot()
{
    delete ui;
}

void ajouter_chariot::on_pushButton_clicked()
{
    int id = ui->lineEdit_id->text().toInt();
    int  etat= ui->lineEdit_etat->text().toInt();
    QString couleur= ui->lineEdit_couleur->text();

  chariot ch (id,etat,couleur);
  bool test=ch.ajouter();
  if(test)

{
      Smtp* s = new Smtp( "hajmoussa2368@gmail.com", "Hm123456", "smtp.gmail.com", 465 );
      s->sendMail("hajmoussa2368@gmail.com","youssef.ghedas@esprit.tn","une caisse a été ajouter avec succés","Mr youssef");
      notifier = new QSystemTrayIcon(this);
      notifier->setIcon(QIcon("notification.png"));
      notifier->show();
      notifier->showMessage("Succés","une caisse a été ajouter avec succés",QSystemTrayIcon::Warning,10000);
      hide();
}
  else
  {
      notifier = new QSystemTrayIcon(this);
      notifier->setIcon(QIcon("notification.png"));
      notifier->show();
      notifier->showMessage("Erreur","La caisse n'a pas pu etre ajouté",QSystemTrayIcon::Warning,10000);

}
}
